# Please do not remove placeholder, to keep the listener getting registered
doctrine:
    dbal:
        default_connection:   default
        connections:
            default:
                driver: 'pdo_mysql'
                dbname: '%env(APP_DATABASE_NAME)%'
                host: '%env(APP_DATABASE_HOST)%'
                port: '%env(APP_DATABASE_PORT)%'
                user: '%env(APP_DATABASE_USER)%'
                password: '%env(APP_DATABASE_PASSWORD)%'
                charset: utf8mb4
                default_table_options:
                        charset: utf8mb4
                        collate: utf8mb4_unicode_ci
                        row_format: DYNAMIC
                server_version: '8.0'
                mapping_types:
                    json: string
        types:
            datetime: Akeneo\Tool\Bundle\StorageUtilsBundle\Doctrine\DBAL\Types\UTCDateTimeType
    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        auto_mapping: true
        resolve_target_entities:
            placeholder: placeholder
        mappings:
            tree:
                type: annotation
                alias: Gedmo
                prefix: Gedmo\Tree\Entity
                dir: '%kernel.root_dir%/../vendor/gedmo/doctrine-extensions/lib/Gedmo/Tree/Entity'

doctrine_migrations:
    dir_name: '%doctrine_migrations_dir%'
    namespace: Pim\Upgrade\Schema
    name: PIM Migrations

doctrine_cache:
    providers:
        pim_apcu:
            apcu: ~
        pim_array:
            array: ~
        pim:
            chain:
                providers: [doctrine_cache.providers.pim_apcu, doctrine_cache.providers.pim_array]
